use cgmath::{Deg, Point3};

use crate::{render::Sprite, render::SpriteTexture, render::Spriteable};

pub struct SystemObject {
	pub sprite: SpriteTexture,
	pub pos: Point3<f32>,
	pub size: f32,
	pub angle: Deg<f32>,
}

impl Spriteable for SystemObject {
	fn get_sprite(&self) -> Sprite {
		return Sprite {
			texture: self.sprite.clone(),
			scale: 1.0,
			pos: self.pos,
			angle: self.angle,
			size: self.size,
		};
	}
}
